Bug 995232 - Build gstreamer-python against gstreamer1
Build gstreamer-python against gstreamer1
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gstreamer-python (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Xavier Lamien
Fedora Extras Quality Assurance
: FutureFeature
Depends On: 1034341
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-08 15:31 EDT by Peter Lemenkov
Modified: 2013-12-27 22:05 EST (History)
7 users (show)

See Also:
Fixed In Version: python-gstreamer1-1.1.90-1.fc20
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-27 22:05:08 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Sample spec file for gstreamer1-python (6.49 KB, text/plain)
2013-11-12 13:31 EST, Simon Farnsworth
no flags Details

  None (edit)
Description Peter Lemenkov 2013-08-08 15:31:20 EDT
Right now gstreamer-python is built against old gstreamer-0.10. That's one of the blockers preventing from complete removal of gstreamer010 from the system in favor of gstreamer1.
Comment 1 Simon Farnsworth 2013-11-12 13:31:15 EST
Created attachment 823092 [details]
Sample spec file for gstreamer1-python

I've had to package gstreamer1-python (with a carefully chosen git checkout) for my needs on Fedora 19. I've uploaded the spec file I used; feel free to reuse any parts of it for an official Fedora package.
Comment 2 Thomas Spura 2013-11-15 03:05:30 EST
(In reply to Simon Farnsworth from comment #1)
> Created attachment 823092 [details]
> Sample spec file for gstreamer1-python
> 
> I've had to package gstreamer1-python (with a carefully chosen git checkout)
> for my needs on Fedora 19. I've uploaded the spec file I used; feel free to
> reuse any parts of it for an official Fedora package.

Maybe you want to propose it as an official Fedora package?

I guess, we need to have a gstreamer1-python package anyway and cannot just link against gstreamer1 within the existing gstreamer-python package...
Comment 3 Simon Farnsworth 2013-11-15 05:34:17 EST
(In reply to Thomas Spura from comment #2)
> (In reply to Simon Farnsworth from comment #1)
> > Created attachment 823092 [details]
> > Sample spec file for gstreamer1-python
> > 
> > I've had to package gstreamer1-python (with a carefully chosen git checkout)
> > for my needs on Fedora 19. I've uploaded the spec file I used; feel free to
> > reuse any parts of it for an official Fedora package.
> 
> Maybe you want to propose it as an official Fedora package?
> 
I wouldn't be a good maintainer, but I'm happy to propose it as an official Fedora package if you can point me at a guide to doing so.
Comment 4 Thomas Spura 2013-11-24 10:41:37 EST
(In reply to Simon Farnsworth from comment #3)
> (In reply to Thomas Spura from comment #2)
> > (In reply to Simon Farnsworth from comment #1)
> > > Created attachment 823092 [details]
> > > Sample spec file for gstreamer1-python
> > > 
> > > I've had to package gstreamer1-python (with a carefully chosen git checkout)
> > > for my needs on Fedora 19. I've uploaded the spec file I used; feel free to
> > > reuse any parts of it for an official Fedora package.
> > 
> > Maybe you want to propose it as an official Fedora package?
> > 
> I wouldn't be a good maintainer, but I'm happy to propose it as an official
> Fedora package if you can point me at a guide to doing so.

How about just starting, give your best and improve? :)

You can read about the Sponsorship-Model at:
http://fedoraproject.org/wiki/How_to_get_sponsored_into_the_packager_group

The main guidelines are here:
http://fedoraproject.org/wiki/Packaging:Guidelines

When opening the review request for gstreamer1-python it would be best to block this bug in the block field of the new bug.

If you have further questions about becoming packager, feel free to ask (here or via mail).

Note You need to log in before you can comment on or make changes to this bug.